var _GlimBlock_;

if (_GlimBlock_ != null)
	_GlimBlock_.close(); // call close on previous msg object before it's replaced with the new object.

_GlimBlock_ = {
	divE: null,

	showMsg: function(message, color)
	{
		var divE = this.divE = document.createElement("div");
		document.body.appendChild(divE);
		divE.style.position = "fixed";
		divE.style.zIndex = 32000;
		divE.style.left = "10%";
		divE.style.top = "10%";
		divE.style.border = "8px solid blue";
		divE.style.padding = "50px";
		divE.style.WebkitBorderRadius = "30px";
		divE.style.color = color || "blue";
		divE.style.backgroundColor = "#ffe";
		divE.style.fontSize = "16px";
		divE.style.fontFamily = "sans-serif";
		divE.style.fontWeight = "bold";
		divE.appendChild(document.createTextNode(message));
		window.setTimeout("if (_GlimBlock_) _GlimBlock_.close();", 2500);
	},

	toggle: function()
	{
		this.exec("http://gb.test/toggle");
	},

	exec: function(url)
	{
		var img = document.createElement("img");
		img.src = url;
	},

	close: function()
	{
		if (this.divE && this.divE.parentNode)
			this.divE.parentNode.removeChild(this.divE);
		this.divE = null;
	}
}
